Name:		vitunes
Version:	2.3
Release:	%mkrel 1

License:        BSD
Summary:	Curses-based music player and playlist manager
Source0:	http://freecode.com/projects/vitunes/%{name}-%{version}.tar.xz
Group:		Sound
URL:		http://vitunes.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Patch0:		vitunes-2.3-time-header.patch
Patch1:         vitunes-2.3-asneeded.patch
BuildRequires:	ncurses-devel
BuildRequires:	taglib-devel
Requires: mplayer

%description
vitunes is a curses-based music player and playlist manager whose goals 
are a minimalistic appearance, strong vi-like bindings, and quick playlist 
creation/management. It uses MPlayer to support a wide range of media formats. 
It also makes use of TagLib for metadata extraction from many common formats.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
cp Makefile.linux Makefile

%build
%make 

%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}/%{_bindir}/
install -m 755 %{name} %{buildroot}/%{_bindir}/
install -dm 755 %{buildroot}/%{_mandir}/man1/
install -m 644 %{name}.1 %{buildroot}/%{_mandir}/man1/

%clean
rm -rf %{buildroot}




%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*



%changelog
* Tue Dec 18 2012 Ken <lxgator@gmail.com> 2.3-1pclos2012
- initial build
